GET /ua-lookup

neutrinoapi.net

Summary: UA Lookup
Operation ID: UALookup
Auth: unknown
Description

Parse, validate and get detailed user-agent information from a user agent string or from client hints

Parameters (7)

device-brand (string, query, optional)

This parameter is only used in combination with 'device-model' when doing direct device lookups without any user-agent data. Set this to the brand or manufacturer name, this is required for accurate device detection with ambiguous model names. On android you can get the device brand from: https://developer.android.com/reference/android/os/Build#MANUFACTURER

device-model (string, query, optional)

For client hints this corresponds to the 'UA-Model' header or 'model' from NavigatorUAData. <br>You can also use this parameter to lookup a device directly by its model name, model code or hardware code, on android you can get the model name from: https://developer.android.com/reference/android/os/Build.html#MODEL

ua (string, query, required)

The user-agent string to lookup. For client hints use the 'UA' header or the JSON data directly from 'navigator.userAgentData.brands' or 'navigator.userAgentData.getHighEntropyValues()'

ua-mobile (string, query, optional)

For client hints this corresponds to the 'UA-Mobile' header or 'mobile' from NavigatorUAData

ua-platform (string, query, optional)

For client hints this corresponds to the 'UA-Platform' header or 'platform' from NavigatorUAData

ua-platform-version (string, query, optional)

For client hints this corresponds to the 'UA-Platform-Version' header or 'platformVersion' from NavigatorUAData

ua-version (string, query, optional)

For client hints this corresponds to the 'UA-Full-Version' header or 'uaFullVersion' from NavigatorUAData

No probe data for this endpoint yet.